#include <bits/stdc++.h>

using namespace std;
long zaCifru(long cifra)
{
    long s=0;
    long din;
    if(cifra==1)
        din=1;
    else if(cifra<5)
        din=2;
    else
        din=5;
    while(cifra>=din)
    {
        cifra=cifra-din;
        s++;
        if(cifra<5 && cifra>=2)
            din=2;
        else if(cifra==1)
            din=1;
    }
    return s;
}

int main()
{
    long n;
    cin>>n;
    long s=0;
    while(n>0)
    {
        long cifra=n%10;
        if(cifra>0)
            s+=zaCifru(cifra);
        n=n/10;
    }
    cout<<s;
    return 0;
}